Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IObjectNode

    com.change_vision.jude.api.inf.model.IObjectNode

All Superinterfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

All Known Implementing Classes:
  IActivityParameterNode, IInputPin, IOutputPin, IPin

    public IObjectNode

extends IActivityNode

Interface for Object nodes.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IClass` | `getBase()` Get Base Class.
`abstract String` | `getEffect()` Get Effect.
`abstract String` | `getInState()` Get InState.
`abstract String` | `getOrdering()` Get Ordering.
`abstract String` | `getStream()` Get Stream.
`abstract String` | `getUpperBound()` Get Upper Bound.
`abstract boolean` | `isControl()` Check if the object node is Control.
`abstract boolean` | `isException()` Check if the object node is Exception.
`abstract void` | `setBase(IClass base)` Set Base.
`abstract void` | `setControl(boolean isControl)` Set Control.
`abstract void` | `setEffect(String effect)` Set Effect.
`abstract void` | `setException(boolean isException)` Set Exception.
`abstract void` | `setInState(String inState)` Set InState.
`abstract void` | `setOrdering(String ordering)` Set Ordering.
`abstract void` | `setStream(String stream)` Set Stream.
`abstract void` | `setUpperBound(String upperBound)` Set Upper Bound.

Methods inherited from class com.change_vision.jude.api.inf.model.IActivityNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getInState

    abstract String getInState()

  Get InState.

  Returns:
    InState.

### getBase

    abstract IClass getBase()

  Get Base Class.

  Returns:
    Base Class.

### setInState

    abstract void setInState(String inState)

  Set InState.

  Parameters:
    `inState` - InState
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                PARAMETER_ERROR_KEY - if a parameter is not set properly.
                ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
                BAD_TRANSACTION_KEY - Bad Transaction.
                HAS_EXCEPTION_KEY - if an exception has occurred.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.8.0

### setBase

    abstract void setBase(IClass base)

  Set Base.

  Parameters:
    `base` - Base
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.8.0

### getOrdering

    abstract String getOrdering()

  Get Ordering.

  Returns:
    Ordering (null or "unordered" / "ordered" / "LIFO" / "FIFO").
  Since:
    6.8.0

### setOrdering

    abstract void setOrdering(String ordering)

  Set Ordering.

  Parameters:
    `ordering` - Ordering (null or "unordered" / "ordered" / "LIFO" / "FIFO").
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.8.0

### getUpperBound

    abstract String getUpperBound()

  Get Upper Bound.

  Returns:
    Upper Bound.
  Since:
    6.8.0

### setUpperBound

    abstract void setUpperBound(String upperBound)

  Set Upper Bound.

  Parameters:
    `upperBound` - Upper Bound
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.8.0

### isControl

    abstract boolean isControl()

  Check if the object node is Control.

  Returns:
    true it is Control / false it is not Control
  Since:
    6.8.0

### setControl

    abstract void setControl(boolean isControl)

  Set Control.

  Parameters:
    `isControl` - if true, it is Control, otherwise, it is not Control.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.8.0

### getEffect

    abstract String getEffect()

  Get Effect.

  Returns:
    Effect (null or "create" / "read" / "update" / "delete").
  Since:
    6.8.0

### setEffect

    abstract void setEffect(String effect)

  Set Effect.

  Parameters:
    `effect` - Effect (null or "create" / "read" / "update" / "delete").
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.8.0

### isException

    abstract boolean isException()

  Check if the object node is Exception.

  Returns:
    true it is Exception / false it is not Exception
  Since:
    6.8.0

### setException

    abstract void setException(boolean isException)

  Set Exception.

  Parameters:
    `isException` - if true, it is Exception, otherwise, it is not Exception.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.8.0

### getStream

    abstract String getStream()

  Get Stream.

  Returns:
    Stream (null or "stream" / "nonstream").
  Since:
    6.8.0

### setStream

    abstract void setStream(String stream)

  Set Stream.

  Parameters:
    `stream` - Stream (null or "stream" / "nonstream").
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD